#pragma once
#include "tiles.h"
#include <gint/defs/types.h>
#include <gint/display.h>

struct Grid {
	int width;
	int height;
	uint8_t *data;
};

struct Grid grid_new(int width, int height);
void grid_free(struct Grid);
void grid_set(struct Grid *restrict, int x, int y, enum Tile);
enum Tile grid_get(struct Grid, int x, int y);
void grid_draw(struct Grid, int scr_x, int scr_y);
void grid_random_walker(struct Grid *restrict grid);
