#include "player.h"
#include "tiles.h"
#include <gint/display.h>

void
player_draw(struct Player player, int scr_x, int scr_y)
{
	const int x = scr_x + player.x * TILE_WIDTH;
	const int y = scr_y + player.y * TILE_HEIGHT;
	drect(x + 2, y + 2, x + TILE_WIDTH - 3, y + TILE_HEIGHT - 3, C_GREEN);
	dprint(0, 0, C_RGB(31, 31, 0), "$%d", player.cash);
}
